> ## Documentation Index
> Fetch the complete documentation index at: https://boosterberg.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Boosted Posts Statistics



## OpenAPI

````yaml https://api.boosterberg.com-beta.com/v1/doc/api-json post /boosted-posts/batch-insights
openapi: 3.0.0
info:
  title: Boosterberg API
  description: REST API For Boosterberg user-facing application
  contact:
    name: Miloslav Kona
    email: mkona@bykd.com
  version: '1.0'
servers:
  - url: https://api.boosterberg.com-beta.com/v1
    description: dev server
  - url: https://auto.boost.api/v1
    description: local
  - url: https://api.boosterberg.com/v1
    description: production
security: []
tags:
  - name: Posts
    description: Post lifecycle and evaluation data across all campaigns
paths:
  /boosted-posts/batch-insights:
    post:
      summary: Get Boosted Posts Statistics
      operationId: 2abe5207739290eb15ac0a8ba5bfdd58
      requestBody:
        description: ''
        required: true
        content:
          application/json:
            schema:
              properties:
                ids:
                  description: Comma separated ids of boosted posts
                  type: string
                  example: >-
                    1177985513573014,348442786842806,355753532778398,2439500536060799,175826907122208,254209629599456,339351814418570,254239936263092,254241576262928
              type: object
      responses:
        '200':
          description: Returns insights for given boosted posts
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Insights'
      security:
        - bearerAuth: []
components:
  schemas:
    Insights:
      properties:
        posts:
          type: integer
          example: '16'
        reach:
          type: integer
          example: '3600'
        engagement:
          type: integer
          example: '9570'
        clicks:
          type: integer
          example: '180'
        spend:
          type: number
          example: '25.50'
        cpm:
          type: number
          example: '5.25'
        ctr:
          type: number
          example: '1.85'
        cpc:
          type: number
          example: '0.42'
        cpa:
          type: number
          example: '2.15'
        conversions:
          type: integer
          example: '45'
        conversion_rate:
          type: number
          example: '12.5'
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      bearerFormat: JWT
      scheme: bearer

````